Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_SoundFilter

Sound Filter Class
Contained in: global
Derived from: none
Derived by: CL_EchoFilter CL_FadeFilter CL_InverseEchoFilter
Group: Sound (Audio Mixing)

#include <ClanLib/sound.h>

### public function member index:

### Construction:

``virtual`` | `~CL_SoundFilter` | `()`;

### Operations:

``virtual` `void`` | `filter` | `(`int`* `sample_data`, `int` `num_samples`)`;

## Description:

## Function Member Descriptions:

CL_SoundFilter::filter - Filter callback. All sound data is passed through this function, which modifies the sample data accordingly to the function of the filter.
The format of the sample data is always 16 bit stereo.
``virtual` `void`` `filter` `(`int`* `sample_data`, `int` `num_samples`)`;

CL_SoundFilter::~CL_SoundFilter - Sound Filter Destructor
``virtual`` `~CL_SoundFilter` `()`;